Skip to content

Email

/stm.cgi?testemail=1

Send a test email.

GET /stm.cgi?testemail=1

Example:

http://192.168.1.100/stm.cgi?testemail=1

/stm.cgi?em1=A

Set the SMTP server address.

GET /stm.cgi?em1=A
  • A is the SMTP server address, string

Example:

http://192.168.1.100/stm.cgi?em1=smtp.com

/stm.cgi?em2=A

Set the SMTP server port.

GET /stm.cgi?em2=A
  • A is the SMTP server port, integer

Example:

http://192.168.1.100/stm.cgi?em2=587

/stm.cgi?em3=A

Set the username to authenticate with the SMTP server.

GET /stm.cgi?em3=A
  • A is the username, string

Example:

http://192.168.1.100/stm.cgi?em3=user

/stm.cgi?em4=A

Set a password to authenticate with the SMTP server.

GET /stm.cgi?em4=A
  • A is the password, string

Example:

http://192.168.1.100/stm.cgi?em4=pass

/stm.cgi?em5=A

Set the recipient's email address.

GET /stm.cgi?em5=A
  • A is the recipient's email address, string

Example:

http://192.168.1.100/stm.cgi?em5=reciver@com.pl

/stm.cgi?em6=A

Set the sender email address.

GET /stm.cgi?em6=A
  • A is the sender's email address, string

Example:

http://192.168.1.100/stm.cgi?em6=sender@com.pl

/stm.cgi?em7=A

Set the email subject.

GET /stm.cgi?em7=A
  • A is the subject of the email, string

Example:

http://192.168.1.100/stm.cgi?em7=subject

/stm.cgi?e_8A=B

Added in HW 3.5+ SW 1.64 | HW 3.9 SW 1.70

Set email text.

GET /stm.cgi?e_8A=B
  • A specifies for which case the text is set, an integer 1-8, where 1-4 is for activation of event entries, and 5-8 for deactivation (eMail1-eMail4 respectively)
  • B is text of email, string

Example:

http://192.168.1.100/stm.cgi?e_81=text_eMail1_ON
http://192.168.1.100/stm.cgi?e_85=text_eMail1_OFF

/stm.cgi?em8=A

Deprecated in HW 3.5+ SW 1.64 | HW 3.9 SW 1.70

The function has been deprecated and replaced by /stm.cgi?e_8A=B.

Changed in HW 3.5+ SW 1.21

Previously, only one text was available, with no distinction between activating and deactivating the event entry.

Set email texts.

GET /stm.cgi?em8=A
  • A are texts of emails - the first 4 are sent when activating event entries, and the next 4 when deactivating, strings separated by *
  • A is text of email, string

Example:

http://192.168.1.100/stm.cgi?em8=email11%20text*email21%20text*email31%20text*email41%20text*email12%20text*email22%20text*email32%20text*email42%20text

/stm.cgi?em9=A

Added in HW 3.5+ SW 1.19

Activates TLS support for connecting to the SMTP server.

GET /stm.cgi?em9=A
  • A determines whether to use TLS, integer 0-1

Example:

http://192.168.1.100/stm.cgi?em9=0